Users

Start account linking

POST
/users/me/link-account/start

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Request Body

application/json
  1. body
provider*string
Value in"google""twitter""apple""email""siwe""siws"
redirectUrl?string
Formaturi
email?string
Formatemail
Lengthlength <= 254
address?string
Length1 <= length <= 64

Response Body

200

application/json
  1. response
type*string
Value in"redirect""magic_link""wallet_challenge"
url?string
success?true
Value intrue
message?string
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/users/me/link-account/start' \  -H 'Content-Type: application/json' \  -d '{  "provider": "google"}'
Example Response
{  "type": "redirect",  "url": "string",  "success": true,  "message": "string"}